Mailinglist Archive: opensuse-factory (807 mails)

< Previous Next >
[opensuse-factory] rpmlint warning for no dependencies needed
Hi, I found a package that had been converted from wxWidgets-2.8 which needed manual requires, to wxWidgets3 which works with rpm automatic find requires and the manual requires macro failed but the package still built with an empty requires. see: openSUSE:Leap:42.2 wxhexeditor.

IMHO there should at least be an rpmlint warning for a binary package that builds with no requires, this is possibly the cause of https://bugzilla.opensuse.org/show_bug.cgi?id=1022460 .

I wonder if there are anymore packages out there that also have this problem, does anyone know how to search for them?

Thanks

Dave P (user plater)

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages